Subject: Re: Problem compiling Numeric-23.0 with latest python-2.2.2-6
From: "Dr. Volker Zell" <[email-masked]>
To: Volker Zell <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Sun, 09 Mar 2003 15:15:55 +0100

>>>>> "Jason" == Jason Tishler <[email-masked]> writes:

    Jason> IMO, this post is more appropriate for cygwin@ than cygwin-apps@.

OK

    Jason> On Sun, Mar 09, 2003 at 12:52:58PM +0100, Volker Zell wrote:
    >> I just tried compiling Numeric-23.0 with latest python-2.2.2-6 and got 
    >> the following error:

    Jason> SF is down right now.  Is there really a Numeric-23.0?  I could only
    Jason> find Numeric-22.0 on the following web page:

Yes there is one on SF.

    Jason>     http://www.pfdubois.com/numpy/

    Jason> So, I tried with Numeric-22.0 that I had lying around and ...

    >> gcc -shared -Wl,--enable-auto-image-base 
    >> build/temp.cygwin-1.3.20-i686-2.2/_numpymodule.o 
    >> build/temp.cygwin-1.3.20-i686-2.2/arrayobject.o 
    >> build/temp.cygwin-1.3.20-i686-2.2/ufuncobject.o -L. -lpython2.2 -o 
    >> build/lib.cygwin-1.3.20-i686-2.2/_numpy.dll
    >> ^^^
    >> /usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld: 
    >> cannot find -lpython2.2
    >> collect2: ld returned 1 exit status
    >> error: command 'gcc' failed with exit status 1

    Jason> The above works for me with Numeric-22.0 under python-2.2.2-6:

    Jason>     gcc -shared -Wl,--enable-auto-image-base build/temp.cygwin-1.3.21-i686-2.2/_numpymodule.o build/temp.cygwin-1.3.21-i686-2.2/arrayobject.o build/temp.cygwin-1.3.21-i686-2.2/ufuncobject.o -L/usr/lib/python2.2/config -lpython2.2 -o build/lib.cygwin-1.3.21-i686-2.2/_numpy.dll

Strange, I just tried with an old version of Numeric (17.3.0) and also with PyXML-0.6.3
I always got -L. in my link line instead of -L/usr/lib/python2.2/config

Do you know where the -L stuff is generated or how I can debug this further ?

    Jason> Jason

Ciao
  Volker

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/